## TEPS Type-based Epsilon Calculation

Section: Base Constants

### Usage

Returns `eps` for double precision arguments and `feps` for single precision arguments. The syntax for `teps` is

       y = teps(x)

The `teps` function is most useful if you need to compute epsilon based on the type of the array.

### Example

The following example demonstrates the use of the `teps` function, and one of its numerical consequences.

    --> teps(float(3.4))

    ans =

     1.1921e-07

    --> teps(complex(3.4+i*2))

    ans =

     1.1921e-07

    --> teps(double(3.4))

    ans =

     2.2204e-16

    --> teps(dcomplex(3.4+i*2))

    ans =

     2.2204e-16

    -->
    quit